
%if !0%{?bootstrap}
%global tests 1
%endif

%global framework grantleeditor

Name:    grantlee-editor
Summary: KMail Theme Editor
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2 and GFDL
URL:     https://invent.kde.org/pim/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

%{?qt5_qtwebengine_arches:ExclusiveArch: %{qt5_qtwebengine_arches}}

BuildRequires: boost-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: perl-generators

BuildRequires: cmake(Qt5Widgets)
BuildRequires: cmake(Qt5WebEngine)
BuildRequires: cmake(Qt5WebEngineWidgets)

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(Grantlee5)
BuildRequires: cmake(KF5Archive)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5NewStuff)
BuildRequires: cmake(KF5SyntaxHighlighting)
BuildRequires: cmake(KF5TextEditor)
BuildRequires: cmake(KF5Wallet)
BuildRequires: cmake(KF5XmlGui)

%global majmin_ver %(echo %{version} | cut -d. -f1,2)
BuildRequires: cmake(KF5AkonadiMime)
BuildRequires: cmake(KF5PimTextEdit)
BuildRequires: cmake(KPim5AkonadiContact)
BuildRequires: cmake(KPim5ContactEditor)
BuildRequires: cmake(KPim5GrantleeTheme)
BuildRequires: cmake(KPim5IMAP)
BuildRequires: cmake(KPim5Libkdepim)
BuildRequires: cmake(KPim5MessageViewer)
BuildRequires: cmake(KPim5Mime)
BuildRequires: cmake(KPim5PimCommonAkonadi)

%if 0%{?tests}
BuildRequires: dbus-x11
BuildRequires: xorg-x11-server-Xvfb
%endif

Requires: %{name}-libs = %{version}-%{release}

%description
%{summary}.

%package libs
Summary: Runtime libraries for %{name}
Conflicts: kdepim-libs < 7:16.12
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.


%prep
%autosetup -p1


%build
%cmake_kf5 \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html

rm -fv %{buildroot}%{_kf5_libdir}/libgrantleethemeeditor.so


%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.contactprintthemeeditor.desktop
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.contactthemeeditor.desktop
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.headerthemeeditor.desktop
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a \
dbus-launch --exit-with-session \
make test ARGS="--output-on-failure --timeout 20" -C %{_target_platform} ||:
%endif


%files -f %{name}.lang
%license LICENSES/*
%{_kf5_datadir}/qlogging-categories5/*%{framework}.*
%{_kf5_bindir}/contactprintthemeeditor
%{_kf5_bindir}/contactthemeeditor
%{_kf5_bindir}/headerthemeeditor
%{_kf5_datadir}/config.kcfg/grantleethemeeditor.kcfg
%{_kf5_datadir}/applications/org.kde.contactprintthemeeditor.desktop
%{_kf5_datadir}/applications/org.kde.contactthemeeditor.desktop
%{_kf5_datadir}/applications/org.kde.headerthemeeditor.desktop


%files libs
%{_kf5_libdir}/libgrantleethemeeditor.so.5*


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
